Bug 845841 - 3.x - [vdsm] Error when creating local storage domain under /root (proper permissions are set)
3.x - [vdsm] Error when creating local storage domain under /root (proper per...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 11:21 EDT by Gadi Ickowicz
Modified: 2014-08-21 21:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-09 05:11:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm and engine logs (1.27 MB, application/x-gzip)
2012-08-06 02:53 EDT, Gadi Ickowicz
no flags Details

  None (edit)
Description Gadi Ickowicz 2012-08-05 11:21:35 EDT
Description of problem:
Failure when attempting to configure local storage domain in /root/.../


Thread-2575::ERROR::2012-08-05 17:46:06,234::task::853::TaskManager.Task::(_setError) Task=`332e5e66-c715-4782-a732-277c7918521a`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 2158, in createStorageDomain
    domClass, typeSpecificArg, storageType, domVersion)
  File "/usr/share/vdsm/storage/localFsSD.py", line 69, in create
    cls._preCreateValidation(sdUUID, mntPoint, remotePath, version)
  File "/usr/share/vdsm/storage/localFsSD.py", line 39, in _preCreateValidation
    fileSD.validateDirAccess(domPath)
  File "/usr/share/vdsm/storage/fileSD.py", line 49, in validateDirAccess
    getProcPool().fileUtils.validateAccess(dirPath)
  File "/usr/share/vdsm/storage/remoteFileHandler.py", line 270, in callCrabRPCFunction
    *args, **kwargs)
  File "/usr/share/vdsm/storage/remoteFileHandler.py", line 186, in callCrabRPCFunction
    res, err = pickle.loads(rawResponse)
  File "/usr/lib64/python2.6/pickle.py", line 1374, in loads
    return Unpickler(file).load()
  File "/usr/lib64/python2.6/pickle.py", line 858, in load
    dispatch[key](self)
  File "/usr/lib64/python2.6/pickle.py", line 1090, in load_global
    klass = self.find_class(module, name)
  File "/usr/lib64/python2.6/pickle.py", line 1124, in find_class
    __import__(module)
ImportError: No module named storage_exception
Thread-2575::DEBUG::2012-08-05 17:46:06,235::task::872::TaskManager.Task::(_run) Task=`332e5e66-c715-4782-a732-277c7918521a`::Task._run: 332e5e66-c715-4782-a732-277c7918521a (4, 'c5645b44-5ecc-4f6e-9d83-bbbc85c507d0', 'cougar04-scl-lab-tlv-redhat-com-Local', '/root/local_storage/domain1/ ', 1, '0') {} failed - stopping task
Thread-2575::DEBUG::2012-08-05 17:46:06,235::task::1199::TaskManager.Task::(stop) Task=`332e5e66-c715-4782-a732-277c7918521a`::stopping in state preparing (force False)
Thread-2575::DEBUG::2012-08-05 17:46:06,236::task::978::TaskManager.Task::(_decref) Task=`332e5e66-c715-4782-a732-277c7918521a`::ref 1 aborting True
Thread-2575::INFO::2012-08-05 17:46:06,236::task::1157::TaskManager.Task::(prepare) Task=`332e5e66-c715-4782-a732-277c7918521a`::aborting: Task is aborted: u'No module named storage_exception' - code 100
Thread-2575::DEBUG::2012-08-05 17:46:06,236::task::1162::TaskManager.Task::(prepare) Task=`332e5e66-c715-4782-a732-277c7918521a`::Prepare: aborted: No module named storage_exception
Thread-2575::DEBUG::2012-08-05 17:46:06,237::task::978::TaskManager.Task::(_decref) Task=`332e5e66-c715-4782-a732-277c7918521a`::ref 0 aborting True
Thread-2575::DEBUG::2012-08-05 17:46:06,237::task::913::TaskManager.Task::(_doAbort) Task=`332e5e66-c715-4782-a732-277c7918521a`::Task._doAbort: force False
Thread-2575::DEBUG::2012-08-05 17:46:06,238::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-2575::DEBUG::2012-08-05 17:46:06,238::task::588::TaskManager.Task::(_updateState) Task=`332e5e66-c715-4782-a732-277c7918521a`::moving from state preparing -> state aborting
Thread-2575::DEBUG::2012-08-05 17:46:06,238::task::537::TaskManager.Task::(__state_aborting) Task=`332e5e66-c715-4782-a732-277c7918521a`::_aborting: recover policy none
Thread-2575::DEBUG::2012-08-05 17:46:06,239::task::588::TaskManager.Task::(_updateState) Task=`332e5e66-c715-4782-a732-277c7918521a`::moving from state aborting -> state failed
Thread-2575::DEBUG::2012-08-05 17:46:06,239::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-2575::DEBUG::2012-08-05 17:46:06,239::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-2575::ERROR::2012-08-05 17:46:06,240::dispatcher::69::Storage.Dispatcher.Protect::(run) No module named storage_exception
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/dispatcher.py", line 61, in run
    result = ctask.prepare(self.func, *args, **kwargs)
  File "/usr/share/vdsm/storage/task.py", line 1164, in prepare
    raise self.error


Version-Release number of selected component (if applicable):
vdsm-4.9.6-26.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create directory for local storage under /root/ and set chown and chmod for local storage
2. Configure local storage domain from the GUI - it fails
  
Actual results:
Unable to create storage domain

Expected results:
storage domain should be created

Additional info:
Comment 3 Itamar Heim 2012-08-05 16:35:52 EDT
similar to bug 841863 or bug 839919?
any of their patches solves this?
Comment 4 Gadi Ickowicz 2012-08-06 02:53:22 EDT
Created attachment 602434 [details]
vdsm and engine logs

uploaded vdsm and engine logs.

Relevant lines from vdsm log:
Thread-1437::DEBUG::2012-08-05 17:20:23,317::task::1172::TaskManager.Task::(prepare) Task=`fd3c1543-4a19-42e2-821c-09f9aeeee7ba`::finished: {'statuslist': [{'status': 0, 'id': '00000000-0000-0000-0000-000000000000
'}]}
Thread-1437::DEBUG::2012-08-05 17:20:23,317::task::588::TaskManager.Task::(_updateState) Task=`fd3c1543-4a19-42e2-821c-09f9aeeee7ba`::moving from state preparing -> state finished
Thread-1437::DEBUG::2012-08-05 17:20:23,318::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-1437::DEBUG::2012-08-05 17:20:23,318::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-1437::DEBUG::2012-08-05 17:20:23,318::task::978::TaskManager.Task::(_decref) Task=`fd3c1543-4a19-42e2-821c-09f9aeeee7ba`::ref 0 aborting False
Thread-1438::DEBUG::2012-08-05 17:20:23,372::BindingXMLRPC::164::vds::(wrapper) [10.35.97.5]
Thread-1438::DEBUG::2012-08-05 17:20:23,373::task::588::TaskManager.Task::(_updateState) Task=`c89b1fc1-40e1-4bda-8421-73a0d0e97e5c`::moving from state init -> state preparing
Thread-1438::INFO::2012-08-05 17:20:23,373::logUtils::37::dispatcher::(wrapper) Run and protect: connectStorageServer(domType=4, spUUID='00000000-0000-0000-0000-000000000000', conList=[{'connection': '/root/local_storage/domain1', 'iqn': '', 'portal': '', 'user': '', 'password': '******', 'id': 'de68fb34-4e51-4cc7-895a-a2e7bd7cedf6', 'port': ''}], options=None)
Thread-1438::ERROR::2012-08-05 17:20:23,373::hsm::1951::Storage.HSM::(connectStorageServer) Could not connect to storageServer
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/hsm.py", line 1948, in connectStorageServer
    conObj.connect()
  File "/usr/share/vdsm/storage/storageServer.py", line 415, in connect
    raise Exception("Could not link to directory. Path does not exist "
Exception: Could not link to directory. Path does not exist or isn't a directory
Thread-1438::DEBUG::2012-08-05 17:20:23,374::lvm::460::OperationMutex::(_invalidateAllPvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-1438::DEBUG::2012-08-05 17:20:23,375::lvm::462::OperationMutex::(_invalidateAllPvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-1438::DEBUG::2012-08-05 17:20:23,375::lvm::472::OperationMutex::(_invalidateAllVgs) Operation 'lvm invalidate operation' got the operation mutex
Thread-1438::DEBUG::2012-08-05 17:20:23,376::lvm::474::OperationMutex::(_invalidateAllVgs) Operation 'lvm invalidate operation' released the operation mutex
Thread-1438::DEBUG::2012-08-05 17:20:23,376::lvm::493::OperationMutex::(_invalidateAllLvs) Operation 'lvm invalidate operation' got the operation mutex
Thread-1438::DEBUG::2012-08-05 17:20:23,376::lvm::495::OperationMutex::(_invalidateAllLvs) Operation 'lvm invalidate operation' released the operation mutex
Thread-1438::INFO::2012-08-05 17:20:23,377::logUtils::39::dispatcher::(wrapper) Run and protect: connectStorageServer, Return response: {'statuslist': [{'status': 100, 'id': 'de68fb34-4e51-4cc7-895a-a2e7bd7cedf6'}]}
Thread-1438::DEBUG::2012-08-05 17:20:23,377::task::1172::TaskManager.Task::(prepare) Task=`c89b1fc1-40e1-4bda-8421-73a0d0e97e5c`::finished: {'statuslist': [{'status': 100, 'id': 'de68fb34-4e51-4cc7-895a-a2e7bd7cedf6'}]}
Comment 5 Dafna Ron 2012-09-09 05:11:08 EDT
I checked this in si17 and was able to create a local storage domain under / and under /home/root. 
closing as WORKSFORME

Note You need to log in before you can comment on or make changes to this bug.